Subject: bug#76988: Architecture-specific kernels (arm64-generic) built for, x86_64

From: Vagrant Cascadian <[email-masked]>
Date: Mon, 17 Mar 2025 09:49:23 -0700

On 2025-03-17, Dariqq wrote:
> This looks to me like a problem with cuirass (or cuirass settings).
> The packages are marked as unsupported correctly, e.g. the arm64-generic 
> kenel  should only support aarch64-linux (as can be seen by the warning).
> However the ci server attempts to build it for all architectures.

It is definitely not specific to cuirass, as I only noticed it with
"guix build" of a custom package that would not possibly have
substitutes, and only later checked the substitute servers
(ci.guix.gnu.org, bordeax.guix.gnu.org) to see that they had the same
problem...

> I searched for 	linux-libre-arm64-generic-6.13.7 on the cuirass 
> interface on ci.g.g.o and there were builds for
> i686-linux, x86_64_linux, powerpc64le-linux and
> aarch64-linux
>
> As the x86_64 build succeeds it then serves the substitute to someone 
> asking for it.
>
> Specifying either --system=aarch64-linux or --target=aarch64-linux-gnu 
> gave me a substitute corresponding to a native/cross built arm64 kernel.
>
> file $(guix build linux-libre-arm64-generic 
> --target=aarch64-linux-gnu)/Image
> /gnu/store/*linux-libre-arm64-generic-6.13.7/Image: Linux kernel ARM64 
> boot executable Image, little-endian, 4K pages

That is consistent with what I observed too!

live well,
  vagrant